<?php
/*
$Id: batiment.class.php,v 1.3 2006-11-02 13:53:52 fgiva Exp $
*/
require_once ("formulaire.class.php");
require_once ("dbformparc.class.php");

class batiment extends dbformparc {

    var $table="batiment";
    var $clePrimaire= "idbatiment";
    var $typeCle= "N" ;
    
function batiment($id,&$db,$DEBUG) {
  $this->constructeur($id,$db,$DEBUG);
} // fin constructeur

/*function setVal(&$form,$maj,$validation){
  if ($validation==0) {
    if ($maj == 0){
      $form->setVal('nature', $this->nature);
    }
  }
}*/
      
function setvalF($val){
$this->valF['idbatiment'] = $val['idbatiment'];
$this->valF['libbatiment'] = $val['libbatiment']; 
}

// NE SURTOUT PAS EFFACER SINON HERITAGE DES FONCTIONS DE CLASSE DBFORM DIFFERENTES
// pas d initialisation valF pour la cle primaire
function setValFAjout($val){  //pas de récupération cleprim car non fixe encore
}

// initialisation valF pour la cle primaire (désactivé)
function verifierAjout(){   //pas de verif cleprim car non fixee encore
}

function setId($db){
// id automatique nextid
$this->valF['idbatiment'] = $db->nextId($this->table);
}

function cleSecondaire($id,$db,$val,$debug) {
  $this->rechercheInstances($id,$db,$debug) ;
}

function verifier(){
  $this->correct=True;
  if ($this->valF['libbatiment']==""){
     $this->correct=false;
     $this->msg= $this->msg."<br>Batiment obligatoire";
  }
}//verifier

function setType(&$form,$maj) {
  if ($maj < 2) { //ajouter et modifier
    if($maj==0) 
      $form->setType('idbatiment', 'hidden');
    else 
      $form->setType('idbatiment', 'hiddenstatic');
//    $form->setType('libbatiment','text');
  } else { // supprimer
    $form->setType('idbatiment', 'hiddenstatic');
    $form->setType('libbatiment','hiddenstatic');
  }
}

function setLib(&$form,$maj) {
  $form->setLib('libbatiment','Batiment');
}

//(recherche instances  avant suppression) non definie ds cl filles
function rechercheInstances($id,$db,$debug){
  $this->correct=True;
  $atable=array("station","element");
  foreach ($atable as $table) {
    $sql = "select * from ".$table." where idbatiment = ".$id;
    $res = $db->query($sql);
    if($debug==1) echo $sql;
    if (DB :: isError($res))
      die($res->getMessage(). " => Echec  ".$sql);
    else{
      $nbligne=$res->numrows();
      $this->msg = $this->msg." il y a ".$nbligne.
      " enregistrement(s) en lien dans la table ".$table." pour le batiment[".
      $id."]";
      if ($nbligne>0)
        $this->correct=false;
    }
  }  
}

}// fin de classe
?>